package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsProject;
import java.util.List;

public interface IPmsProjectService {
    /**
     * 查询项目列表
     */
    List<PmsProject> selectList(PmsProject project);

    /**
     * 根据主键查询项目
     */
    PmsProject selectById(Long id);

    /**
     * 新增项目
     */
    int insert(PmsProject project);

    /**
     * 修改项目
     */
    int update(PmsProject project);

    /**
     * 删除项目
     */
    int deleteById(Long id);

    /**
     * 批量删除项目
     */
    int deleteByIds(Long[] ids);
}
